// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        // 主体高度
        infoHeight: '',
        frameStyle: { useTop: true, name: '审核队员', leftArrow: true, useBar: false },
        list: []
    },

    back: function () {
        wx.navigateBack({ url: '/pages/me/index' })
    },

    /**
 * 生命周期函数--监听页面加载
 */
    onLoad: function (options) {
        // 计算高度
        this.searchHeight();
        // 监听用户是否登录
        this.watchLogin();
    },
    // 监听用户是否登录
    watchLogin: function () {
        const that = this;
        wx.getStorage({
            key: 'token',
            success: res => {
                //数据请求
                wx.request({
                    url: `${app.globalData.publicUrl}/courtAdmin/api/joinapply`, //接口地址
                    method: "get",
                    data: {},
                    header: {},
                    success: res => {
                        console.log(res);
                        that.setData({ list: res.data.data })
                    },
                    error: err => {
                        console.log(err);
                    }
                })
            },
            fail: res => {
                wx.redirectTo({ url: '/pages/login/index', })
            }
        })
    },
    //通过
    adopt: function (e) {
        let { id } = e.currentTarget.dataset;
        wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/joinapply/${id}`, //接口地址
            method: "post",
            data: { status: '1' },
            header: {},
            success: res => {
                console.log(res);
            },
            error: err => {
                console.log(err);
            }
        })
    },
    //驳回
    reject: function (e) {
        let { id } = e.currentTarget.dataset;
        wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/joinapply/${id}`, //接口地址
            method: "post",
            data: { status: '-1' },
            header: {},
            success: res => {
                console.log(res);
            },
            error: err => {
                console.log(err);
            }
        })
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        // 减去状态栏
        let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})