// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({
  /**
   * 页面的初始数据
   */
  data: {
    ids: '',
    src: '/image/yun.jpg',
    frameStyle: { useTop: false, name: '比赛列表', leftArrow: false, useBar: false, tabSelectid: '0' },
    // 主体高度
    infoHeight: '',
    active: 1,
    list: [],
    lists: [],
    listbang: [],
    listbisai: [],
  },
   // 监听用户是否登录
   watchLogin: function () {
    wx.getStorage({
      key: 'token',
      success: res => {
        var that = this;
        let id = that.ids
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/match/` + id, //接口地址
          method: 'get',
          // data: {},
          success(res) {
            console.log('res', res.data);
            if (res.data.errcode == 0) {
              let datas = res.data.data
              if (datas.status == 0) {
                datas.status = '待比赛'
              } else if (datas.status == 1) {
                datas.status = '进行中'
              } else if (datas.status == 2) {
                datas.status = '报名中'
              } else if (datas.status == 3) {
                datas.status = '已结束'
              }
              that.setData({
                list: datas,
              });
              // 查询参赛队伍数据
              that.ranks();
              // 查询赛程列表数据
              that.course();
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
      },
      fail: res => {
       return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  // 查询参赛队伍数据
  ranks: function () {
    var that = this;
    var list = that.data.list;
    var match_id = that.ids;
    var match_name = list.name;
    wx.request({
      url: `${app.globalData.publicUrl}/courtAdmin/api/matchteam`, //接口地址
      method: 'get',
      data: {
        "match_id": match_id,
        "match_name": match_name,
      },
      success(res) {
        if (res.data.errcode == 0) {
          let datacan = res.data.data
          that.setData({
            lists: datacan,
            listbang: datacan,
          });
        } else {
          wx.showToast({
            title: res.data.errmsg,
            icon: 'none',
            duration: 2000
          })
        }
      }
    })
  },
  // 查询赛程列表数据
  course: function () {
    var that = this;
    var list = that.data.list;
    var match_id = that.ids;
    var match_name = list.name;
    var match_time = list.match_time;
    wx.request({
      url: `${app.globalData.publicUrl}/courtAdmin/api/schedule`, //接口地址
      method: 'get',
      data: {
        "match_id": match_id,
        "match_name": match_name,
        "match_time": match_time,
      },
      success(res) {
        if (res.data.errcode == 0) {
          let datasai = res.data.data
          that.setData({
            listbisai: datasai,
          });
        } else {
          wx.showToast({
            title: res.data.errmsg,
            icon: 'none',
            duration: 2000
          })
        }
      }
    })
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  tabPath(e) {
    let query = e.detail.detail;
    if (query) wx.redirectTo({ url: `/pages/${query}/index` })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 监听用户是否登录
    this.watchLogin();
    // 计算高度
    this.searchHeight()
    this.ids = options.id;
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 减去状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2)
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})